<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="MDR\PuntoVentaBundle\Entity\DireccionesUsuarios" table="DireccionesUsuarios" repository-class="MDR\PuntoVentaBundle\Entity\Repositories\DireccionesRepository">
    <indexes>
      <index name="IDX_8C8FE74D600865F9" columns="uNumero"/>
    </indexes>
    <id name="idDireccion" type="integer" column="idDireccion">
       <generator strategy="IDENTITY"/>
     </id>
    <field name="pais" type="string" column="Pais" length="50" nullable="false"/>
    <field name="estado" type="string" column="Estado" length="250" nullable="false"/>
    <field name="municipio" type="string" column="Municipio" length="250" nullable="false"/>
    <field name="cp" type="string" column="CP" length="10" nullable="false"/>
    <field name="colonia" type="string" column="Colonia" length="250" nullable="false"/>
    <field name="calle" type="string" column="Calle" length="50" nullable="false"/>
    <field name="entreCalles" type="string" column="EntreCalles" length="50" nullable="false"/>
    <field name="referencia" type="string" column="Referencia" length="50" nullable="true"/>
    <field name="noExt" type="string" column="NoExt" length="10" nullable="true"/>
    <field name="noInt" type="string" column="NoInt" length="10" nullable="true"/>
    <field name="telcasa" type="string" column="TelCasa" length="50" nullable="true"/>
    <field name="telOficina" type="string" column="TelOficina" length="50" nullable="true"/>
    <field name="telCel" type="string" column="TelCel" length="50" nullable="true"/>
    <one-to-one field="usuario" target-entity="Usuario">
      <join-columns>
        <join-column name="uNumero" referenced-column-name="uNumero"/>
      </join-columns>
    </one-to-one>
  </entity>
</doctrine-mapping>
